Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsMultivariantPlaylist.Rendition

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition

- Enclosing class:
    HlsMultivariantPlaylist

      public static final class HlsMultivariantPlaylist.Rendition
      extends Object

  A rendition (i.e. an #EXT-X-MEDIA tag) in a multivariant playlist.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Format` | `format` | Format information associated with this rendition.
    `String` | `groupId` | The group to which this rendition belongs.
    `String` | `name` | The name of the rendition.
    `Uri` | `url` | The rendition's url, or null if the tag does not have a URI attribute.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Rendition​(Uri url, Format format, String groupId, String name)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### url

          @Nullable
          public final Uri url

      The rendition's url, or null if the tag does not have a URI attribute.

    - #### format

          public final Format format

      Format information associated with this rendition.

    - #### groupId

          public final String groupId

      The group to which this rendition belongs.

    - #### name

          public final String name

      The name of the rendition.

  - ### Constructor Detail

    - #### Rendition

          public Rendition​(@Nullable
                           Uri url,
                           Format format,
                           String groupId,
                           String name)

      Parameters:
        `url` - See `url`.
        `format` - See `format`.
        `groupId` - See `groupId`.
        `name` - See `name`.